GLSWEEP(1)

NAME
glsweep - a program generating log sweep and inverse filter.

SYNOPSIS
glsweep [parameters] sweepfile inversefile

Usage: glsweep rate amplitude hzstart hzend duration silence leadin leadout sweepfile inversefile

Example: glsweep 44100 0.5 10 21000 45 2 0.05 0.005 sweep.pcm inverse.pcm

DESCRIPTION
This manual page documents briefly the glsweep program. This manual page was written for the Debian distribution because the original program does not have a manual page.

glsweep is program to perform accurate time aligned impulse response measurements.

glsweep is based on the log sweep method for impulse response measurement, which is one of the most accurate, especially for acoustic measurements. This method is based on a special signal, which is a logarithmic sinusoidal sweep, that need to be reproduced through the system under test, and an inverse filter, which, when convolved with the measured log sweep, gives back the impulse response of the system.

The output format is the usual raw file with 32 bit IEEE floating point samples. If you need to convert the sweep generated using the example above to a 16 bit mono WAV file you can use SoX with a command line like this one:

sox -t f32 -r 44100 -c 1 sweep.pcm -t wav -c 1 sweep.wav

PARAMETERS

rate: reference sample rate
amplitude: sweep amplitude
hzstart: sweep start frequency
hzend: sweep end frequency
duration: sweep duration in seconds
silence: leading and trailing silence duration in seconds
leadin: leading window length as a fraction of duration
leadout: trailing window length as a fraction of duration
sweepfile: sweep file name
inversefile: inverse sweep file name

Refer to html documentation for more details.

SEE ALSO
sox(1).

AUTHOR
This manual page was written by Jaromír Mikeš <mira.mikes@seznam.cz>, for the Debian project (but may be used by others).